//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

package time

import (
	"github.com/pocketbase/pocketbase/tools/types"
	"log/slog"
	"time"
)

func ParseTime(timeString string) (time.Time, error) {
	return time.Parse("2006-01-02T15:04:05Z", timeString)
}

func ParseAsTypesDatetime(time time.Time) types.DateTime {
	dateTime, err := types.ParseDateTime(time)
	if err != nil {
		slog.Error("Failed to parse time as types.DateTime", "error", err)
		return types.DateTime{}
	}
	return dateTime
}
